# Generated from old_api_resource-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name old_api_resource

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: A replacement for ActiveResource for RESTful APIs that handles associated object and multiple data sources
License: MIT
URL: http://github.com/ejlangev/resource
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(ruby-debug19)
# BuildRequires: rubygem(growl)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(factory_girl)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(faker)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(jeweler) >= 1.6.4
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
A replacement for ActiveResource for RESTful APIs that handles associated
object and multiple data sources.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/old_api_resource.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.3.0-1
- Initial package
